# List leave types

Retrieves a paginated list of available leave types.

Endpoint: GET /leave_types
Version: v1
Security: AuthToken

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer)
    Unique identifier for the leave type.
    Example: 1

  - `data.description` (string,null)
    A detailed description of the leave type. Can be null.
    Example: "Paid time off"

  - `data.guid` (string, required)
    A unique GUID for the leave type.
    Example: "bd5fa048-b3f4-467a-a3b5-18211d488d21"

  - `data.name` (string, required)
    The name of the leave type.
    Example: "Vacation"

  - `data.deleted_at` (string,null)
    Timestamp when the leave type was deleted. Can be null.

  - `data.created_at` (string)
    The time of creation.
    Example: "2013-09-10T21:31:06Z"

  - `data.updated_at` (string)
    The time of last update.
    Example: "2013-09-10T21:31:06Z"

  - `data.type` (string)
    The object type.
    Example: "LeaveType"

  - `data.uid` (string)
    The globally unique identifier (UID) for the leave type.
    Example: "leavetype-1234567"

  - `paging` (object)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 2

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"


